Python
import requests
url = "https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/projects/{project_id}/members/"
payload = {
"email": "<string>",
"role": "<string>"
}
headers = {
"Authorization": "Token <api-key>",
"Content-Type": "application/json"
}
response = requests.request("PUT", url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Token <api-key>', 'Content-Type': 'application/json'},
body: '{"email":"<string>","role":"<string>"}'
};
fetch('https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/projects/{project_id}/members/', options)
.then(response => response.json())
.then(response => console.log(response))
.catch(err => console.error(err));curl --request PUT \
--url https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/projects/{project_id}/members/ \
--header 'Authorization: Token <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"email": "<string>",
"role": "<string>"
}'package main
import (
"fmt"
"strings"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/projects/{project_id}/members/"
payload := strings.NewReader("{
\"email\": \"<string>\",
\"role\": \"<string>\"
}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Token <api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
{
"message": "User role updated successfully."
}{
"message": "Unauthorized to modify project members."
}{
"message": "Organization or project not found"
}Projects
Update Project Member
Update an existing member’s role within a project to change their permissions and access level.
PUT
/
api
/
v1
/
orgs
/
organizations
/
{org_id}
/
projects
/
{project_id}
/
members
/
Python
import requests
url = "https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/projects/{project_id}/members/"
payload = {
"email": "<string>",
"role": "<string>"
}
headers = {
"Authorization": "Token <api-key>",
"Content-Type": "application/json"
}
response = requests.request("PUT", url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Token <api-key>', 'Content-Type': 'application/json'},
body: '{"email":"<string>","role":"<string>"}'
};
fetch('https://api.mem0.ai/api/v1/orgs/organizations/{org_id}/projects/{project_id}/members/', options)
.then(response => response.json())
.then(response => console.log(response))
.catch(err => console.error(err));Authorizations
API key authentication. Prefix your Mem0 API key with 'Token '. Example: 'Token your_api_key'
Path Parameters
Unique identifier of the organization.
Unique identifier of the project.
Body
application/json
Response
User role updated successfully.
Example:
"User role updated successfully."
Was this page helpful?
⌘I